<div class="{{darkTheme ? '' : 'theme-alternate'}}">
  <div class="example-container" [class.example-is-mobile]="mobileQuery.matches">
    <mat-toolbar color="primary" class="example-toolbar">
      <button mat-icon-button (click)="snav.toggle()"><mat-icon>menu</mat-icon></button>
      <h1 class="example-app-name">SmartHome</h1>

      <div class="toggle">
        <mat-slide-toggle [ngModel]="darkTheme" (ngModelChange)="themeToggle()"> Light / Dark </mat-slide-toggle>
      </div>
    </mat-toolbar>

    <mat-sidenav-container class="example-sidenav-container"
                           [style.marginTop.px]="mobileQuery.matches ? 56 : 0">
      <mat-sidenav #snav [opened]="mobileQuery.matches ? 'false' : 'true'" [mode]="mobileQuery.matches ? 'over' : 'side'"
                   [fixedInViewport]="mobileQuery.matches" fixedTopGap="56">
        <mat-nav-list class="navList">
          <a mat-list-item routerLink='/dashboard'>Dashboard</a>
          <a mat-list-item routerLink='/rooms'>Rooms</a>
          <!--<a mat-list-item routerLink='/room'>Rooms</a>-->
          <a mat-list-item routerLink='/devices'>Devices</a>
          <!--<a mat-list-item routerLink='/device'>Devices</a>-->
        </mat-nav-list>

      </mat-sidenav>
      <mat-sidenav-content>
        <router-outlet></router-outlet>
      </mat-sidenav-content>
    </mat-sidenav-container>
  </div>
</div>
